CFLAGS = -Wall
LDFLAGS = -lm
CC = gcc

default: health

optim: CFLAGS += -O3
optim: health

debug: CFLAGS += -g
debug: health

OBJECTS=health.o utils.o
health: $(OBJECTS)
	$(CC) $(CFLAGS) -o health $(OBJECTS) $(LDFLAGS)

health.o: health.c health.h
	$(CC) $(CFLAGS) -c health.c

utils.o: utils.c utils.h
	$(CC) $(CFLAGS) -c utils.c

clean:
	rm -f *.o
